Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QWizard.WizardPixmap

    java.lang.Object
      java.lang.Enum<QWizard.WizardPixmap>
          com.trolltech.qt.gui.QWizard.WizardPixmap

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QWizard.WizardPixmap>

Enclosing class:
  QWizard

    public static enum QWizard.WizardPixmap

extends java.lang.Enum<QWizard.WizardPixmap>
implements QtEnumerator

This enum specifies the pixmaps that can be associated with a page.

See Also:
  `setPixmap`, `QWizardPage::setPixmap`, Elements of a Wizard Page

Enum Constant Summary
`BackgroundPixmap` The pixmap that occupies the background of a `MacStyle` wizard
`BannerPixmap` The pixmap that occupies the background of a `ModernStyle` page header
`LogoPixmap` The small pixmap on the right side of a `ClassicStyle` or `ModernStyle` page header
`NPixmaps` Internal.
`WatermarkPixmap` The tall pixmap on the left side of a `ClassicStyle` or `ModernStyle` page

Method Summary
`static QWizard.WizardPixmap` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWizard.WizardPixmap` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QWizard.WizardPixmap[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WatermarkPixmap

    public static final QWizard.WizardPixmap WatermarkPixmap

  The tall pixmap on the left side of a `ClassicStyle` or `ModernStyle` page

### LogoPixmap

    public static final QWizard.WizardPixmap LogoPixmap

  The small pixmap on the right side of a `ClassicStyle` or `ModernStyle` page header

### BannerPixmap

    public static final QWizard.WizardPixmap BannerPixmap

  The pixmap that occupies the background of a `ModernStyle` page header

### BackgroundPixmap

    public static final QWizard.WizardPixmap BackgroundPixmap

  The pixmap that occupies the background of a `MacStyle` wizard

### NPixmaps

    public static final QWizard.WizardPixmap NPixmaps

  Internal.

Method Detail

### values

    public static final QWizard.WizardPixmap[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QWizard.WizardPixmap c : QWizard.WizardPixmap.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QWizard.WizardPixmap valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWizard.WizardPixmap resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD